﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Moq;
using ResourcesManager.Interfaces;
using ResourcesManager.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ResourcesManagerTests.RepositoryTests
{
    [TestClass]
    class UserRepositoryTests
    {
        List<ApplicationUser> expectedUsers;
        public Mock<IUserRepository> mockUserRepo;

        public UserRepositoryTests()
        {
            InitializeTestData();
        }

        [TestInitialize]
        public void InitializeTestData()
        {
            expectedUsers = new List<ApplicationUser> {
                new ApplicationUser() { },
                new ApplicationUser() { },
                new ApplicationUser() { },
            };
            mockUserRepo = new Mock<IUserRepository>() { CallBase = true };

            mockUserRepo.Setup(m => m.GetUsers()).Returns(expectedUsers);
        }

        [TestCleanup]
        public void User_CleanUpTestData()
        {
            expectedUsers = null;
            mockUserRepo = null;
        }
    }
}
